Skip to content
体验新版
项目
组织
正在加载...
登录
切换导航
打开侧边栏
慢慢CG
TDengine
提交
8cf8f8f8
T
TDengine
项目概览
慢慢CG
/
TDengine
与 Fork 源项目一致
Fork自
taosdata / TDengine
通知
1
Star
0
Fork
0
代码
文件
提交
分支
Tags
贡献者
分支图
Diff
Issue
0
列表
看板
标记
里程碑
合并请求
0
Wiki
0
Wiki
分析
仓库
DevOps
项目成员
Pages
T
TDengine
项目概览
项目概览
详情
发布
仓库
仓库
文件
提交
分支
标签
贡献者
分支图
比较
Issue
0
Issue
0
列表
看板
标记
里程碑
合并请求
0
合并请求
0
Pages
分析
分析
仓库分析
DevOps
Wiki
0
Wiki
成员
成员
收起侧边栏
关闭侧边栏
动态
分支图
创建新Issue
提交
Issue看板
提交
8cf8f8f8
编写于
4月 15, 2020
作者:
S
slguan
提交者:
sangshuduo
4月 16, 2020
浏览文件
操作
浏览文件
下载
差异文件
Merge pull request #1618 from taosdata/feature/mpeer
Feature/mpeer
上级
d8472ba3
13b44b30
变更
6
隐藏空白更改
内联
并排
Showing
6 changed file
with
358 addition
and
110 deletion
+358
-110
.travis.yml
.travis.yml
+197
-107
cmake/platform.inc
cmake/platform.inc
+12
-0
tests/pytest/insert/basic.py
tests/pytest/insert/basic.py
+2
-2
tests/pytest/simpletest.sh
tests/pytest/simpletest.sh
+1
-1
tests/test/c/CMakeLists.txt
tests/test/c/CMakeLists.txt
+3
-0
tests/test/c/importOneRow.c
tests/test/c/importOneRow.c
+143
-0
未找到文件。
.travis.yml
浏览文件 @
8cf8f8f8
#
#
# Configuration
# Configuration
#
#
git
:
depth
:
1
language
:
c
compiler
:
-
clang
-
gcc
os
:
-
linux
# - osx
before_install
:
-
|-
case $TRAVIS_OS_NAME in
linux)
sudo apt -y update
sudo apt -y install python-pip python3-pip python-setuptools python3-setuptools
;;
esac
addons
:
coverity_scan
:
# GitHub project metadata
# ** specific to your project **
project
:
name
:
TDengine
version
:
2.x
description
:
TDengine
# Where email notification of build analysis results will be sent
notification_email
:
sdsang@taosdata.com
# Commands to prepare for build_command
# ** likely specific to your build **
build_command_prepend
:
cmake ..
# The command that will be added as an argument to "cov-build" to compile your project for analysis,
# ** likely specific to your build **
build_command
:
cmake --build .
# Pattern to match selecting branches that will run analysis. We recommend leaving this set to 'coverity_scan'.
# Take care in resource usage, and consider the build frequency allowances per
# https://scan.coverity.com/faq#frequency
branch_pattern
:
coverity_scan
before_script
:
-
mkdir debug
-
cd debug
script
:
-
cmake ..
-
cmake --build . || exit $?
-
|-
case $TRAVIS_OS_NAME in
linux)
# Color setting
RED='\033[0;31m'
GREEN='\033[1;32m'
GREEN_DARK='\033[0;32m'
GREEN_UNDERLINE='\033[4;32m'
NC='\033[0m'
sudo make install
cd ../tests/script
sudo ./test.sh 2>&1 | grep 'success\|failed' | tee out.txt
total_success=`grep success out.txt | wc -l`
if [ "$total_success" -gt "0" ]; then
total_success=`expr $total_success - 1`
echo -e "${GREEN} ### Total $total_success TSIM case(s) succeed! ### ${NC}"
fi
total_failed=`grep failed out.txt | wc -l`
if [ "$total_failed" -ne "0" ]; then
echo -e "${RED} ### Total $total_failed TSIM case(s) failed! ### ${NC}"
exit $total_failed
fi
pip install --user ../../src/connector/python/linux/python2/
pip3 install --user ../../src/connector/python/linux/python3/
cd ../pytest
sudo ./simpletest.sh 2>&1 | grep 'successfully executed\|failed' | tee pytest-out.txt
total_py_success=`grep 'successfully executed' pytest-out.txt | wc -l`
if [ "$total_py_success" -gt "0" ]; then
echo -e "${GREEN} ### Total $total_py_success python case(s) succeed! ### ${NC}"
fi
total_py_failed=`grep 'failed' pytest-out.txt | wc -l`
if [ "$total_py_failed" -ne "0" ]; then
echo -e "${RED} ### Total $total_py_failed python case(s) failed! ### ${NC}"
exit $total_py_failed
fi
;;
esac
#
#
# Build Matrix
# Build Matrix
#
#
matrix
:
matrix
:
-
os
:
linux
-
os
:
linux
language
:
c
git
:
-
depth
:
1
compiler
:
gcc
env
:
DESC="linux/gcc build and test"
addons
:
addons
:
apt
:
apt
:
packages
:
packages
:
...
@@ -120,8 +25,193 @@ matrix:
...
@@ -120,8 +25,193 @@ matrix:
-
python3-pip
-
python3-pip
-
python3-setuptools
-
python3-setuptools
# - os: osx
before_install
:
# addons:
-
sudo apt update -y -qq
# homebrew:
-
sudo apt install -y net-tools python-pip python-setuptools python3-pip python3-setuptools
# - cmake
before_script
:
-
cd ${TRAVIS_BUILD_DIR}
-
mkdir debug
-
cd debug
script
:
-
cmake ..
-
make
after_success
:
-
|-
case $TRAVIS_OS_NAME in
linux)
cd ${TRAVIS_BUILD_DIR}/debug
sudo make install || exit $?
pip install --user ${TRAVIS_BUILD_DIR}/src/connector/python/linux/python2/
pip3 install --user ${TRAVIS_BUILD_DIR}/src/connector/python/linux/python3/
cd ${TRAVIS_BUILD_DIR}/tests
bash ./test-all.sh
if [ "$?" -ne "0" ]; then
exit $?
fi
;;
esac
-
os
:
linux
language
:
c
compiler
:
gcc
env
:
COVERITY_SCAN=true
git
:
-
depth
:
1
script
:
-
echo "this job is for coverity scan"
addons
:
coverity_scan
:
# GitHub project metadata
# ** specific to your project **
project
:
name
:
sangshuduo/TDengine
version
:
2.x
description
:
sangshuduo/TDengine
# Where email notification of build analysis results will be sent
notification_email
:
sangshuduo@gmail.com
# Commands to prepare for build_command
# ** likely specific to your build **
build_command_prepend
:
cmake ..
# The command that will be added as an argument to "cov-build" to compile your project for analysis,
# ** likely specific to your build **
build_command
:
cmake --build .
# Pattern to match selecting branches that will run analysis. We recommend leaving this set to 'coverity_scan'.
# Take care in resource usage, and consider the build frequency allowances per
# https://scan.coverity.com/faq#frequency
branch_pattern
:
coverity_scan
-
os
:
linux
language
:
c
compiler
:
gcc
env
:
ENV_COVER=true
git
:
-
depth
:
1
addons
:
apt
:
packages
:
-
build-essential
-
cmake
-
net-tools
-
python-pip
-
python-setuptools
-
python3-pip
-
python3-setuptools
-
lcov
before_install
:
-
sudo apt update -y -qq
-
sudo apt install -y net-tools python-pip python-setuptools python3-pip python3-setuptools lcov
before_script
:
-
cd ${TRAVIS_BUILD_DIR}
-
mkdir debug
-
cd debug
script
:
-
cmake -DCOVER=true ..
-
make
after_success
:
-
|-
case $TRAVIS_OS_NAME in
linux)
cd ${TRAVIS_BUILD_DIR}/debug
sudo make install || exit $?
pip install --user ${TRAVIS_BUILD_DIR}/src/connector/python/linux/python2/
pip3 install --user ${TRAVIS_BUILD_DIR}/src/connector/python/linux/python3/
cd ${TRAVIS_BUILD_DIR}/tests
bash ./test-all.sh
if [ "$?" -ne "0" ]; then
exit $?
fi
cd ${TRAVIS_BUILD_DIR}
lcov -d . --capture -o coverage.info
lcov -l coverage.info || exit $?
gem install coveralls-lcov
# Color setting
RED='\033[0;31m'
GREEN='\033[1;32m'
GREEN_DARK='\033[0;32m'
GREEN_UNDERLINE='\033[4;32m'
NC='\033[0m'
coveralls-lcov coverage.info
if [ "$?" -eq "0" ]; then
echo -e "${GREEN} ## Uploaded to Coveralls.io! ## ${NC}"
else
echo -e "${RED} ## Coveralls.io not collect coverage report! ## ${NC} "
exit $?
fi
bash <(curl -s https://codecov.io/bash) -f coverage.info
if [ "$?" -eq "0" ]; then
echo -e "${GREEN} ## Uploaded to Codecov! ## ${NC} "
else
echo -e "${RED} ## Codecov did not collect coverage report! ## ${NC} "
exit $?
fi
;;
esac
-
os
:
linux
language
:
c
compiler
:
clang
env
:
DESC="linux/clang build"
git
:
-
depth
:
1
addons
:
apt
:
packages
:
-
build-essential
-
cmake
before_script
:
-
cd ${TRAVIS_BUILD_DIR}
-
mkdir debug
-
cd debug
script
:
-
cmake ..
-
make
# - os
:
osx
# language: c
# compiler: clang
# env: DESC="mac/clang build"
# git:
# - depth: 1
# addons:
# homebrew:
# - cmake
#
# script:
# - cd ${TRAVIS_BUILD_DIR}
# - mkdir debug
# - cd debug
# - cmake ..
# - make
cmake/platform.inc
浏览文件 @
8cf8f8f8
...
@@ -122,6 +122,12 @@ IF (TD_LINUX_64)
...
@@ -122,6 +122,12 @@ IF (TD_LINUX_64)
link_libraries
(
/
usr
/
lib
/
libargp
.
a
)
link_libraries
(
/
usr
/
lib
/
libargp
.
a
)
ADD_DEFINITIONS
(
-
D_ALPINE
)
ADD_DEFINITIONS
(
-
D_ALPINE
)
ENDIF
()
ENDIF
()
IF
(
$
{
COVER
}
MATCHES
"true"
)
MESSAGE
(
STATUS
"Test coverage mode, add extra flags"
)
SET
(
GCC_COVERAGE_COMPILE_FLAGS
"-fprofile-arcs -ftest-coverage"
)
SET
(
GCC_COVERAGE_LINK_FLAGS
"-lgcov --coverage"
)
SET
(
COMMON_FLAGS
"${COMMON_FLAGS} ${GCC_COVERAGE_COMPILE_FLAGS} ${GCC_COVERAGE_LINK_FLAGS}"
)
ENDIF
()
ELSEIF
(
TD_LINUX_32
)
ELSEIF
(
TD_LINUX_32
)
IF
(
NOT
TD_ARM
)
IF
(
NOT
TD_ARM
)
EXIT
()
EXIT
()
...
@@ -138,6 +144,12 @@ IF (TD_LINUX_64)
...
@@ -138,6 +144,12 @@ IF (TD_LINUX_64)
link_library
(
/
usr
/
lib
/
libargp
.
a
)
link_library
(
/
usr
/
lib
/
libargp
.
a
)
ADD_DEFINITIONS
(
-
D_ALPINE
)
ADD_DEFINITIONS
(
-
D_ALPINE
)
ENDIF
()
ENDIF
()
IF
(
$
{
COVER
}
MATCHES
"true"
)
MESSAGE
(
STATUS
"Test coverage mode, add extra flags"
)
SET
(
GCC_COVERAGE_COMPILE_FLAGS
"-fprofile-arcs -ftest-coverage"
)
SET
(
GCC_COVERAGE_LINK_FLAGS
"-lgcov --coverage"
)
SET
(
COMMON_FLAGS
"${COMMON_FLAGS} ${GCC_COVERAGE_COMPILE_FLAGS} ${GCC_COVERAGE_LINK_FLAGS}"
)
ENDIF
()
ELSEIF
(
TD_WINDOWS_64
)
ELSEIF
(
TD_WINDOWS_64
)
SET
(
CMAKE_GENERATOR
"NMake Makefiles"
CACHE
INTERNAL
""
FORCE
)
SET
(
CMAKE_GENERATOR
"NMake Makefiles"
CACHE
INTERNAL
""
FORCE
)
IF
(
NOT
TD_GODLL
)
IF
(
NOT
TD_GODLL
)
...
...
tests/pytest/insert/basic.py
浏览文件 @
8cf8f8f8
...
@@ -41,8 +41,8 @@ class TDTestCase:
...
@@ -41,8 +41,8 @@ class TDTestCase:
# tdSql.execute('insert into tb values (now - 7m , 10)')
# tdSql.execute('insert into tb values (now - 7m , 10)')
# tdSql.execute('insert into tb values (now - 8m , 10)')
# tdSql.execute('insert into tb values (now - 8m , 10)')
#
tdSql.query("select * from tb")
tdSql
.
query
(
"select * from tb"
)
#
tdSql.checkRows(insertRows)
tdSql
.
checkRows
(
insertRows
)
def
stop
(
self
):
def
stop
(
self
):
tdSql
.
close
()
tdSql
.
close
()
...
...
tests/pytest/simpletest.sh
浏览文件 @
8cf8f8f8
sudo
python
3
./test.py
-f
insert/basic.py
sudo
python ./test.py
-f
insert/basic.py
tests/test/c/CMakeLists.txt
浏览文件 @
8cf8f8f8
...
@@ -11,4 +11,7 @@ IF ((TD_LINUX_64) OR (TD_LINUX_32 AND TD_ARM))
...
@@ -11,4 +11,7 @@ IF ((TD_LINUX_64) OR (TD_LINUX_32 AND TD_ARM))
add_executable
(
insertPerRow insertPerRow.c
)
add_executable
(
insertPerRow insertPerRow.c
)
target_link_libraries
(
insertPerRow taos_static pthread
)
target_link_libraries
(
insertPerRow taos_static pthread
)
add_executable
(
importOneRow importOneRow.c
)
target_link_libraries
(
importOneRow taos_static pthread
)
ENDIF
()
ENDIF
()
tests/test/c/importOneRow.c
0 → 100644
浏览文件 @
8cf8f8f8
/*
* Copyright (c) 2019 TAOS Data, Inc. <jhtao@taosdata.com>
*
* This program is free software: you can use, redistribute, and/or modify
* it under the terms of the GNU Affero General Public License, version 3
* or later ("AGPL"), as published by the Free Software Foundation.
*
* This program is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.
*
* You should have received a copy of the GNU Affero General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
#define _DEFAULT_SOURCE
#include "os.h"
#include "taos.h"
#include "tlog.h"
#include "ttimer.h"
#include "tutil.h"
#define MAX_RANDOM_POINTS 20000
#define GREEN "\033[1;32m"
#define NC "\033[0m"
void
taos_error
(
TAOS
*
taos
);
void
*
taos_execute
(
void
*
param
);
typedef
struct
{
pthread_t
pid
;
int
index
;
}
ThreadObj
;
int
threadNum
=
1
;
int
rowNum
=
1000
;
int
replica
=
1
;
void
printHelp
()
{
char
indent
[
10
]
=
" "
;
printf
(
"Used to test the performance of TDengine
\n
After writing one row of data to all tables, write the next row
\n
"
);
printf
(
"%s%s
\n
"
,
indent
,
"-r"
);
printf
(
"%s%s%s%d
\n
"
,
indent
,
indent
,
"Number of records to write table, default is "
,
rowNum
);
printf
(
"%s%s
\n
"
,
indent
,
"-t"
);
printf
(
"%s%s%s%d
\n
"
,
indent
,
indent
,
"Number of threads to be used, default is "
,
threadNum
);
printf
(
"%s%s
\n
"
,
indent
,
"-replica"
);
printf
(
"%s%s%s%d
\n
"
,
indent
,
indent
,
"Database parameters replica, default is "
,
replica
);
exit
(
EXIT_SUCCESS
);
}
void
shellParseArgument
(
int
argc
,
char
*
argv
[])
{
for
(
int
i
=
1
;
i
<
argc
;
i
++
)
{
if
(
strcmp
(
argv
[
i
],
"-h"
)
==
0
||
strcmp
(
argv
[
i
],
"--help"
)
==
0
)
{
printHelp
();
exit
(
0
);
}
else
if
(
strcmp
(
argv
[
i
],
"-r"
)
==
0
)
{
rowNum
=
atoi
(
argv
[
++
i
]);
}
else
if
(
strcmp
(
argv
[
i
],
"-t"
)
==
0
)
{
threadNum
=
atoi
(
argv
[
++
i
]);
}
else
if
(
strcmp
(
argv
[
i
],
"-replica"
)
==
0
)
{
replica
=
atoi
(
argv
[
++
i
]);
}
else
{
}
}
dPrint
(
"%s rowNum:%d %s"
,
GREEN
,
rowNum
,
NC
);
dPrint
(
"%s threadNum:%d %s"
,
GREEN
,
threadNum
,
NC
);
dPrint
(
"%s replica:%d %s"
,
GREEN
,
replica
,
NC
);
}
int
main
(
int
argc
,
char
*
argv
[])
{
shellParseArgument
(
argc
,
argv
);
taos_init
();
ThreadObj
*
threads
=
calloc
(
threadNum
,
sizeof
(
ThreadObj
));
for
(
int
i
=
0
;
i
<
threadNum
;
++
i
)
{
ThreadObj
*
pthread
=
threads
+
i
;
pthread_attr_t
thattr
;
pthread
->
index
=
i
;
pthread_attr_init
(
&
thattr
);
pthread_attr_setdetachstate
(
&
thattr
,
PTHREAD_CREATE_JOINABLE
);
pthread_create
(
&
pthread
->
pid
,
&
thattr
,
taos_execute
,
pthread
);
}
for
(
int
i
=
0
;
i
<
threadNum
;
i
++
)
{
pthread_join
(
threads
[
i
].
pid
,
NULL
);
}
printf
(
"all finished
\n
"
);
return
0
;
}
void
taos_error
(
TAOS
*
con
)
{
fprintf
(
stderr
,
"TDengine error: %s
\n
"
,
taos_errstr
(
con
));
taos_close
(
con
);
exit
(
1
);
}
void
*
taos_execute
(
void
*
param
)
{
ThreadObj
*
pThread
=
(
ThreadObj
*
)
param
;
void
*
taos
=
taos_connect
(
tsMasterIp
,
tsDefaultUser
,
tsDefaultPass
,
NULL
,
0
);
if
(
taos
==
NULL
)
taos_error
(
taos
);
char
sql
[
1024
]
=
{
0
};
sprintf
(
sql
,
"create database if not exists db replica %d"
,
replica
);
taos_query
(
taos
,
sql
);
sprintf
(
sql
,
"create table if not exists db.t%d (ts timestamp, i int, j float, k double)"
,
pThread
->
index
);
taos_query
(
taos
,
sql
);
int64_t
timestamp
=
1530374400000L
;
sprintf
(
sql
,
"insert into db.t%d values(%ld, %d, %d, %d)"
,
pThread
->
index
,
timestamp
,
0
,
0
,
0
);
int
code
=
taos_query
(
taos
,
sql
);
if
(
code
!=
0
)
printf
(
"error code:%d, sql:%s
\n
"
,
code
,
sql
);
int
affectrows
=
taos_affected_rows
(
taos
);
if
(
affectrows
!=
1
)
printf
(
"affect rows:%d, sql:%s
\n
"
,
affectrows
,
sql
);
timestamp
-=
1000
;
int
total_affect_rows
=
affectrows
;
for
(
int
i
=
1
;
i
<
rowNum
;
++
i
)
{
sprintf
(
sql
,
"import into db.t%d values(%ld, %d, %d, %d)"
,
pThread
->
index
,
timestamp
,
i
,
i
,
i
);
code
=
taos_query
(
taos
,
sql
);
if
(
code
!=
0
)
printf
(
"error code:%d, sql:%s
\n
"
,
code
,
sql
);
int
affectrows
=
taos_affected_rows
(
taos
);
if
(
affectrows
!=
1
)
printf
(
"affect rows:%d, sql:%s
\n
"
,
affectrows
,
sql
);
total_affect_rows
+=
affectrows
;
timestamp
-=
1000
;
}
printf
(
"thread:%d run finished total_affect_rows:%d
\n
"
,
pThread
->
index
,
total_affect_rows
);
return
NULL
;
}
编辑
预览
Markdown
is supported
0%
请重试
或
添加新附件
.
添加附件
取消
You are about to add
0
people
to the discussion. Proceed with caution.
先完成此消息的编辑!
取消
想要评论请
注册
或
登录